javax.management

## Class RuntimeErrorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.management.JMRuntimeException
        - - javax.management.RuntimeErrorException

All Implemented Interfaces:
  Serializable

    public class RuntimeErrorException
    extends JMRuntimeException

When a `java.lang.Error` occurs in the agent it should be caught and re-thrown as a `RuntimeErrorException`.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RuntimeErrorException(Error e)` Default constructor.
`RuntimeErrorException(Error e, String message)` Constructor that allows a specific error message to be specified.

### Method Summary

Methods
`Throwable` `getCause()` Returns the actual `Error` thrown.
`Error` `getTargetError()` Returns the actual `Error` thrown.

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RuntimeErrorException

    public RuntimeErrorException(Error e)

Default constructor.

Parameters:
  `e` - the wrapped error.

#### RuntimeErrorException

    public RuntimeErrorException(Error e,
                         String message)

Constructor that allows a specific error message to be specified.

Parameters:
  `e` - the wrapped error.
  `message` - the detail message.

### Method Detail

#### getTargetError

    public Error getTargetError()

Returns the actual `Error` thrown.

Returns:
  the wrapped `Error`.

#### getCause

    public Throwable getCause()

Returns the actual `Error` thrown.

Overrides:
  `getCause` in class `Throwable`
Returns:
  the wrapped `Error`.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.